package model

type ExternalCorpOrder struct {
	Id            int64
	AdminId       int64
	AdminName     string
	UserId        int64
	CorpId        int64
	GoodsId       int64
	GoodsName     string
	GoodsType     string
	OutTradeNo    string
	TotalFee      int64
	PaySource     string
	PayType       string
	PayTime       int64
	RefundTime    int64
	RefundFee     int64
	RefundReason  string
	Status        uint8
	ProcessStatus uint8
	ProcessId     int64
	Hidden        bool
	Extra         string
	CreateTime    int64
}

type ExternalCorpUser struct {
	Id         int64
	CorpId     int64
	Realname   string
	Username   string
	Role       int64
	Level      int8
	Pid        int64
	Config     string
	Status     int8
	CreateTime int64
	UpdateTime int64
}
