package model

type ExternalUnifyAdData struct {
	Id          int64  `json:"id"`
	AppId       int64  `json:"appId"`
	Day         string `json:"day"`
	AccountType string `json:"accountType"`
	AccountName string `json:"accountName"`
	AccountId   string `json:"accountId"`
	Owner       string `json:"owner"`
	Balance     int64  `json:"balance"`
	DataType    string `json:"dataType"`
	DataName    string `json:"dataName"`
	DataId      string `json:"dataId"`
	Cost        int64  `json:"cost"`
	ReturnCost  int64  `json:"return_cost"`
	PayAmount   int64  `json:"payAmount"`
	Impression  int64  `json:"impression"`
	Click       int64  `json:"click"`
	Download    int64  `json:"download"`
	Active      int64  `json:"active"`
	Register    int64  `json:"register"`
	Pay         int64  `json:"pay"`
	CreateTime  int64  `json:"createTime"`
	UpdateTime  int64  `json:"updateTime"`
	Raw         string `json:"raw"`
}

type ExternalUnifyKctSummary struct {
	Day           string
	NewUser       int64
	ActivityUser  int64
	PayNum        int64
	PayAmount     int64
	SignPayAmount int64
	SignPayNum    int64
	RefundNum     int64
	RefundAmount  int64
	Cost          int64
}
