package model

import "github.com/spf13/cast"

type StaffToken struct {
	Id         int64
	UserId     int64
	Token      string
	CreateTime int64
	ExpireTime int64
}

func (t *StaffToken) ToLogin() map[string]interface{} {
	data := make(map[string]interface{})
	data["token"] = t.Token
	data["expire_time"] = cast.ToString(t.ExpireTime)
	data["user_id"] = cast.ToString(t.UserId)
	return data
}
